Foreman - Bug #9097

Typo in value_to_sql method causes ext_method searches with LIKE to not be applied
01/23/2015 02:23 PM - David Davis

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Search
Target version: 1.7.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2105
Description

Found a bug here:

https://github.com/theforeman/foreman/blob/ee1f56de6b2bdca4dfd104b99ec25340bfb51aaa/app/models/concerns/scoped_search_e
xtensions.rb#L7

| believe that should be ~= instead of ~. The reason we're not seeing any bugs? Looks like it's being rescued here:

https://github.com/wvanbergen/scoped_search/blob/v2.7.1/lib/scoped_search/query_builder.rb#l 371

To test, | think this should reproduce the problem:

1. Create a host
2. Try to filter by one of the affected search scopes (e.g. 'user_id = 999999'). Make sure you use '=' in your search.

Your host should still be visible when it ought not to be.

Associated revisions

Revision e86494a8 - 01/26/2015 06:48 PM - David Davis
Fixes #9097 - Fix typo in value_to_sql method

Revision acab155d - 01/27/2015 11:12 AM - David Davis
Fixes #9097 - Fix typo in value_to_sql method

(cherry picked from commit e86494a89e3b7f71850b6582be4d05b7badaab21)

History

#1 - 01/23/2015 02:23 PM - David Davis
§/~=l=~/

#2 - 01/23/2015 02:28 PM - David Davis

Actually, here are the fixed steps to reproduce:

1. Create a host
2. Try to filter by one of the affected search scopes (e.g. 'user.firstname = nonexitent_name'). Make sure you use '=' in your search.

#3 - 01/23/2015 02:46 PM - David Davis

- Status changed from New to Closed

Can't reproduce.

#4 - 01/23/2015 02:49 PM - David Davis
https://github.com/theforeman/foreman/blob/ee1f56de6b2bdca4dfd104b99ec25340bfb51aaa/app/models/concerns/scoped_search_extensions.rb#L7
https://github.com/theforeman/foreman/blob/ee1f56de6b2bdca4dfd104b99ec25340bfb51aaa/app/models/concerns/scoped_search_extensions.rb#L7
https://github.com/wvanbergen/scoped_search/blob/v2.7.1/lib/scoped_search/query_builder.rb#L371

- Status changed from Closed to New

elLobato found the commit which shows it should be =~ as the code was moved:

https://github.com/theforeman/foreman/commit/e44f5¢1c08d3f332b13fadd442dd754597db2b90

#5 - 01/23/2015 03:30 PM - David Davis

Actually, in the steps to reproduce it should be "~" and not "=". Here are the steps:

1. Create a host

2. Go to the hosts page and search on "user.firstname ~ dfsjklfdsjlk" or some first name that doesn't exist.

Your host will be visible even though it shouldn't be.

#6 - 01/23/2015 03:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2105 added
- Pull request deleted ()

#7 - 01/23/2015 03:56 PM - David Davis

- Subject changed from Found a bug in the code to Typo in value_to_sql method causes ext_method searches with LIKE to not be applied

#8 - 01/26/2015 04:31 AM - Dominic Cleal

- Assignee set to David Davis

#9 - 01/26/2015 07:01 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset €86494a89e3b7f71850b6582be4d05b7badaab21.

#10 - 01/27/2015 04:07 AM - Dominic Cleal

- translation missing: en.field_release set to 30
